#!/usr/bin/env bash

if [ $# -lt 1 ]; then
    echo "Usage: $0 <max KEK age in days>"
    exit 1
fi

if ! [[ $1 =~ ^[1-9][0-9]*$ ]]; then
    echo "Usage: $0 <max KEK age in days>"
    echo "Max KEK age in days must be a positive, non-zero integer"
    exit 1
fi

if [ $(find /usr/share/kpec/kek-rotation-timestamp -mtime +$1) ]; then 
    
    /usr/bin/kpec-cli rotate-kek

    sleep 480
    
    /usr/share/kpec/kpec_utilities.sh rotate_secrets
fi